Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x9
Interface X9ObjectIdentifiers

All Known Implementing Classes:
  X9Curve, X9ECParameters, X9FieldID

public interface X9ObjectIdentifiers

Field Summary
`static java.lang.String` | `ansi_X9_62`
`static DERObjectIdentifier` | `characteristic_two_field`
`static DERObjectIdentifier` | `dhpublicnumber`
`static DERObjectIdentifier` | `ecdsa_with_SHA1`
`static java.lang.String` | `ellipticCurve`
`static DERObjectIdentifier` | `gnBasis`
`static DERObjectIdentifier` | `id_dsa`
`static DERObjectIdentifier` | `id_dsa_with_sha1` id-dsa-with-sha1 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) x9-57 (10040) x9cm(4) 3 }
`static DERObjectIdentifier` | `id_ecPublicKey`
`static java.lang.String` | `id_ecSigType`
`static java.lang.String` | `id_fieldType`
`static java.lang.String` | `id_publicKeyType`
`static DERObjectIdentifier` | `ppBasis`
`static DERObjectIdentifier` | `prime_field`
`static DERObjectIdentifier` | `prime192v1`
`static DERObjectIdentifier` | `prime192v2`
`static DERObjectIdentifier` | `prime192v3`
`static DERObjectIdentifier` | `prime239v1`
`static DERObjectIdentifier` | `prime239v2`
`static DERObjectIdentifier` | `prime239v3`
`static DERObjectIdentifier` | `prime256v1`
`static java.lang.String` | `primeCurve`
`static DERObjectIdentifier` | `tpBasis`

Field Detail

### ansi_X9_62

    static final java.lang.String ansi_X9_62

See Also:
  Constant Field Values

### id_fieldType

    static final java.lang.String id_fieldType

See Also:
  Constant Field Values

### prime_field

    static final DERObjectIdentifier prime_field

### characteristic_two_field

    static final DERObjectIdentifier characteristic_two_field

### gnBasis

    static final DERObjectIdentifier gnBasis

### tpBasis

    static final DERObjectIdentifier tpBasis

### ppBasis

    static final DERObjectIdentifier ppBasis

### id_ecSigType

    static final java.lang.String id_ecSigType

See Also:
  Constant Field Values

### ecdsa_with_SHA1

    static final DERObjectIdentifier ecdsa_with_SHA1

### id_publicKeyType

    static final java.lang.String id_publicKeyType

See Also:
  Constant Field Values

### id_ecPublicKey

    static final DERObjectIdentifier id_ecPublicKey

### ellipticCurve

    static final java.lang.String ellipticCurve

See Also:
  Constant Field Values

### primeCurve

    static final java.lang.String primeCurve

See Also:
  Constant Field Values

### prime192v1

    static final DERObjectIdentifier prime192v1

### prime192v2

    static final DERObjectIdentifier prime192v2

### prime192v3

    static final DERObjectIdentifier prime192v3

### prime239v1

    static final DERObjectIdentifier prime239v1

### prime239v2

    static final DERObjectIdentifier prime239v2

### prime239v3

    static final DERObjectIdentifier prime239v3

### prime256v1

    static final DERObjectIdentifier prime256v1

### dhpublicnumber

    static final DERObjectIdentifier dhpublicnumber

### id_dsa

    static final DERObjectIdentifier id_dsa

### id_dsa_with_sha1

    static final DERObjectIdentifier id_dsa_with_sha1

  id-dsa-with-sha1 OBJECT IDENTIFIER ::= { iso(1) member-body(2) us(840) x9-57 (10040) x9cm(4) 3 }

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD